Loading...
Searching...
No Matches
Catch::TestSpec::Filter Struct Reference

## Public Member Functions

void | serializeTo (std::ostream &out) const
| Serializes this filter into a string that would be parsed into an equivalent filter.
bool | matches (TestCaseInfo const &testCase) const

## Public Attributes

std::vector< Detail::unique_ptr< Pattern > > | m_required
std::vector< Detail::unique_ptr< Pattern > > | m_forbidden

## Friends

std::ostream & | operator<< (std::ostream &out, Filter const &f)

## Member Function Documentation

## matches()

bool Catch::TestSpec::Filter::matches | ( | TestCaseInfo const & | testCase | ) | const

Here is the call graph for this function:

## serializeTo()

void Catch::TestSpec::Filter::serializeTo | ( | std::ostream & | out | ) | const

Serializes this filter into a string that would be parsed into an equivalent filter.

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | Filter const & | f )

friend

## Member Data Documentation

## m_forbidden

std::vector<Detail::unique_ptr<Pattern> > Catch::TestSpec::Filter::m_forbidden

## m_required

std::vector<Detail::unique_ptr<Pattern> > Catch::TestSpec::Filter::m_required

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp